#include<stdio.h>
#include<math.h>
int broj_cifara(long long x)
{
	int i=0;
	while(x>0)
	{
		i++;
		x/=10;
	}
	return i;
}
main()
{
	long long a,b,c,max,s1,s2,s3,s4,s5,s6;
	int i,ba,bb,bc;
	scanf("%I64d%I64d%I64d",&a,&b,&c);
	if(a==b&&b==c)
	{
		ba=broj_cifara(a);
		max=a*pow(10,ba*2)+a*pow(10,ba)+a;
		printf("%I64d",max);
		return 0;
	}
	else if(a!=b&&a!=c&&b!=c)
	{
		ba=broj_cifara(a);
		bb=broj_cifara(b);
		bc=broj_cifara(c);
		s1=a*pow(10,bb+bc)+b*pow(10,bc)+c;
		s2=a*pow(10,bb+bc)+c*pow(10,bb)+b;
		s3=b*pow(10,ba+bc)+a*pow(10,bc)+c;
		s4=b*pow(10,ba+bc)+c*pow(10,ba)+a;
		s5=c*pow(10,ba+bb)+b*pow(10,ba)+a;
		s6=c*pow(10,ba+bb)+a*pow(10,bb)+b;
		max=s1;
		if(max<s2)
		max=s2;
		if(max<s3)
		max=s3;
		if(max<s4)
		max=s4;
		if(max<s5)
		max=s5;
		if(max<s6)
		max=s6;
		printf("%I64d",max);
		return 0;
	}

	else
	{
		if(a==b)
		{
			ba=broj_cifara(a);
			bb=broj_cifara(c);
			b=c;
		}
		else if(a==c)
		{
			ba=broj_cifara(a);
			bb=broj_cifara(b);
		}
		else
		{
			ba=broj_cifara(b);
			bb=broj_cifara(a);
			long z=a;
			a=b;
			b=z;
		}
		s1=a*pow(10,ba+bb)+a*pow(10,bb)+b;
		s2=a*pow(10,ba+bb)+b*pow(10,ba)+a;
		s3=b*pow(10,ba*2)+a*pow(10,ba)+a;
		max=s1;
		if(max<s2)
		max=s2;
		if(max<s3)
		max=s3;
		printf("%I64d",max);
		return 0;
	}
}